読者です 読者をやめる 読者になる 読者になる

euphonictechnologies’s diary

Haskell超初心者の日記です。OCamlが好きです。

follow us in feedly

Haskell - ghc-modiが新しいcabalで動かない事件

2015/01/22現在、cabal 1.22とghc-modi 5.2.1.2の組み合わせではうまく動きません。

NG BUG: GMEIOException /home/rik/haskell/projects/scotty/dist/setup-config: hGetContents: invalid argument (invalid byte sequence)

というエラーが出ます。

簡単な説明

GHC-modi error on startup, not restartable · Issue #118 · carymrobbins/intellij-haskforce · GitHub

込み入った説明

Support newer Cabal versions · Issue #417 · kazu-yamamoto/ghc-mod · GitHub

どゆこと?

cabal 1.22がcabal configureで生成するsetup-configの形式を変更したため上のエラーが出る。

どうするの?

ghc-7.10.1を使うか、ghc-modのfixを待つ。

で?

涙目。